Subject: Re: [PATCH 00/28] Add gh and dependencies

From: Leo Prikler <[email-masked]>
Date: Thu, 01 Apr 2021 18:20:12 +0200

Hi,
Am Donnerstag, den 01.04.2021, 16:49 +0200 schrieb Xinglu Chen:
> > > - The patch marked with 'D' adds a package which has been
> > > deprecated
> > >   by upstream, but it is still needed by one of the packages that
> > > 'gh'
> > >   depend on.  I have marked it as a hidden package, let me know
> > > if this
> > >   is the right decision.
> > Yes, we do so for other packages as well, that require outdated or
> > otherwise modified versions, that should not show up in user
> > profiles
> > unless they really, really want to and use manifests to achieve
> > their
> > goals.
> 
> Good to know, I will have to mark 'go-github-com-cli-shurcool-
> graphql'
> as hidden as well since it's GitHubs' fork of
> 'go-github-com-shurcool-graphql' and most likely only used by 'gh'.
Just to clarify, I don't think that hiding will be necessary for this
package (since it differs by name), but it might still be a good idea
to hide it if you have a justification for doing so.  That said, your
judgement on this matter is probably going to be better than mine.

Regards,
Leo